Test Model Connection
curl --request POST \
--url https://api.example.com/api/models/test-connection \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model_provider": "<string>",
"model_name": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"category": "llm",
"temperature": 123,
"dimension": 123,
"abilities": [
"<string>"
],
"top_n": 123,
"instruct": "<string>"
}
'import requests
url = "https://api.example.com/api/models/test-connection"
payload = {
"model_provider": "<string>",
"model_name": "<string>",
"api_key": "<string>",
"base_url": "<string>",
"category": "llm",
"temperature": 123,
"dimension": 123,
"abilities": ["<string>"],
"top_n": 123,
"instruct": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model_provider: '<string>',
model_name: '<string>',
api_key: '<string>',
base_url: '<string>',
category: 'llm',
temperature: 123,
dimension: 123,
abilities: ['<string>'],
top_n: 123,
instruct: '<string>'
})
};
fetch('https://api.example.com/api/models/test-connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model_id": "<string>",
"status": "<string>",
"response_time": 123,
"message": "<string>",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models
Test Model Connection
Test connection with provided model parameters before saving.
POST
/
api
/
models
/
test-connection
Test Model Connection
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I

